KDockWidgetPrivate Class Reference

`#include <kdockwidget_private.h>`

Inherits QObject.

## Public Types

enum | KDockWidgetResize { ResizeLeft, ResizeTop, ResizeRight, ResizeBottom, ResizeBottomLeft, ResizeTopLeft, ResizeBottomRight, ResizeTopRight }

## Public Slots

void | slotFocusEmbeddedWidget (QWidget *w=0L)

## Public Attributes

int | index
int | splitPosInPercent
bool | pendingFocusInEvent
bool | blockHasUndockedSignal
bool | pendingDtor
int | forcedWidth
int | forcedHeight
bool | isContainer
NET::WindowType | windowType
QWidget * | _parent
bool | transient
QGuardedPtr< QWidget > | container
QPoint | resizePos
bool | resizing
KDockWidgetResize | resizeMode

## Detailed Description

resizing enum

additional KDockWidget stuff (private)

Definition at line 273 of file kdockwidget_private.h.

## Member Function Documentation

void KDockWidgetPrivate::slotFocusEmbeddedWidget | ( | QWidget * | w = `0L` | ) |

slot

Especially used for Tab page docking.

Switching the pages requires additional setFocus() for the embedded widget.

Definition at line 700 of file kdockwidget_private.cpp.

The documentation for this class was generated from the following files:

- kdockwidget_private.h
- kdockwidget_private.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys